## EProxyPreferences

EProxyPreferences — Manage network proxy preferences

## Functions

GtkWidget * | e_proxy_preferences_new ()
void | e_proxy_preferences_submit ()
ESourceRegistry * | e_proxy_preferences_get_registry ()
gboolean | e_proxy_preferences_get_show_advanced ()
void | e_proxy_preferences_set_show_advanced ()

## Properties

ESourceRegistry * | registry | Read / Write / Construct Only
gboolean | show-advanced | Read / Write

## Types and Values

struct | EProxyPreferences

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EProxyPreferences

## Implemented Interfaces

EProxyPreferences implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <e-util/e-util.h>

## Description

EProxyPreferences is the main widget for displaying network proxy preferences. A link button toggles between a basic mode (for most users) and advanced mode. Basic mode only shows proxy details for the built-in proxy profile, which all new accounts use by default. Advanced mode reveals a sidebar of proxy profiles, allowing users to create or delete custom profiles and apply them to particular accounts.

## Functions

### e_proxy_preferences_new ()

    GtkWidget *
    e_proxy_preferences_new (ESourceRegistry *registry);

Creates a new EProxyPreferences widget using ESource instances in `registry` .

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new EProxyPreferences

### e_proxy_preferences_submit ()

    void
    e_proxy_preferences_submit (EProxyPreferences *preferences);

Writes the displayed proxy profile details to the ESource being edited, and submits the changes to the registry service asynchronously.

Normally changes are submitted to the registry service automatically after a brief delay, but changes may sometimes need to be submitted explicitly such as when the top-level window is closing.

#### Parameters

preferences | an EProxyPreferences |

### e_proxy_preferences_get_registry ()

    ESourceRegistry *
    e_proxy_preferences_get_registry (EProxyPreferences *preferences);

Returns the ESourceRegistry passed to `e_proxy_preferences_new()`.

#### Parameters

preferences | an EProxyPreferences |

#### Returns

an ESourceRegistry

### e_proxy_preferences_get_show_advanced ()

    gboolean
    e_proxy_preferences_get_show_advanced (EProxyPreferences *preferences);

Returns whether `preferences` is currently in advanced mode.

#### Parameters

preferences | an EProxyPreferences |

#### Returns

whether advanced proxy preferences are visible

### e_proxy_preferences_set_show_advanced ()

    void
    e_proxy_preferences_set_show_advanced (EProxyPreferences *preferences,
                                           gboolean show_advanced);

Switches `preferences` to advanced mode if `show_advanced` is `TRUE`, or to basic mode if `show_advanced` is `FALSE`.

#### Parameters

preferences | an EProxyPreferences |
show_advanced | whether to show advanced proxy preferences |

## Types and Values

### struct EProxyPreferences

    struct EProxyPreferences;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“registry”` property

      “registry”                 ESourceRegistry *

Data source registry.

Flags: Read / Write / Construct Only

### The `“show-advanced”` property

      “show-advanced”            gboolean

Show advanced proxy preferences.

Flags: Read / Write

Default value: FALSE